/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-card {
  background-clip: border-box;
  background-color: var(--nv-theme-alt-2);
  border: 1px solid var(--nv-border-color);
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  min-width: 0;
  overflow: hidden;
  padding: 0;
  position: relative;
  word-wrap: break-word;


  li {
    text-align: center;
  }

  .list-group {
    &:first-child .list-group-item:first-child {
      border-top-width: 0;
    }

    &:last-child .list-group-item:last-child {
      border-bottom-width: 0;
    }
  }

  .nv-card-icon {
    background-color: var(--nv-theme-alt-2);
    border-color: var(--nv-border-color);
    border-radius: 50%;
    border-style: solid;
    border-width: 1px;
    box-shadow: 0 0 6px 2px rgba(0, 0, 0, 0.35);
    height: 50px;
    margin-bottom: $space-default;
    margin-left: auto;
    margin-right: auto;
    margin-top: -50px;
    overflow: hidden;
    width: 50px;

    img {
      height: 100%;
      width: 100%;
    }
  }

  .nv-card-media {
    height: 180px;
    overflow: hidden;
    position: relative;

    img {
      height: 100%;
      object-fit: cover;
      object-position: center;
      width: 100%;
    }
  }

  &.nv-card-286 {
    width: 286px;
  }

  .nv-card-title,
  .nv-card-text {
    margin-bottom: $space-default;
  }

  .nv-card-text {
    color: var(--nv-type-secondary);
    text-align: center;
  }

  .nv-card-title {
    color: var(--nv-type-primary);
    font-family: 'FiraGO Bold Italic';
    font-size: 20px;
    text-align: center;
  }

  .nv-card-subtitle {
    color: var(--nv-type-secondary);
    font-size: 15px;
  }

  .nv-card-link + .nv-card-link {
    margin-left: $space-lg;
  }

  .nv-card-body {
    cursor: pointer;
    flex: 1 1 auto;
    position: relative;
    text-align: center;
    
    .nv-card-content {
      display: block;
      padding: $space-lg;
      position: relative;
    }
  }

  .nv-card-img-overlay {
    bottom: 0;
    left: 0;
    padding: $space-lg;
    position: absolute;
    right: 0;
    top: 0;
  }

  .nv-card-header {
    font-family: 'FiraGo Light';
    font-size: 16px;
    font-weight: inherit;
    margin-bottom: 0;
    margin-top: 0;
    padding: $space-lg $space-lg 0;
    text-align: center;

    span,
    h3 {
      font-family: 'FiraGO Bold Italic';
      margin-bottom: 0;
      text-align: center;
    }
  }

  + .list-group .list-group-item:first-child {
    border-top: 0;
  }

  .nv-card-footer {
    // border-top: 1px solid lighten($dark, 75%);
    display: block;
    margin-bottom: 0;
    margin-top: 0;
    padding: $space-lg;
    text-align: center;
  }

  &:first-child .list-group-item:first-child {
    border-top: 0;
  }

  h2,
  h3,
  h4,
  h5,
  h6 {
    font-weight: 400;
  }


  // 
  // Compact mode
  // 

  &.nv-card-compact-mode {
    min-height: 260px;
    min-width: 260px;

    .nv-card-body {
      height: 100%;
      position: absolute;
      width: 100%;
    }

    .nv-card-media {
      height: 100%;
      left: 0;
      position: absolute;
      top: 0;
      width: 100%;
    }

    .nv-card-icon {
      border-width: 0;
      box-shadow: unset;
      height: 80px;
      margin: 0;
      width: 80px;
    }

    .nv-card-title {
      color: $white;
      font-size: inherit;
      margin-top: $space-md;
      text-align: left;
    }

    .nv-card-text {
      color: $white;
      text-align: left;
    }

    .nv-card-bkg-color {
      @extend .transition-moviment;
      // background-color: $dark;
      height: 100%;
      left: 0;
      opacity: 0.6;
      position: absolute;
      top: 0;
      transition-property: background-color;
      width: 100%;


      &::before {
        background-color: rgba(0, 0, 0, 0.6);
        content: '';
        height: 100%;
        left: 0;
        position: absolute;
        top: 0;
        width: 100%;
      }
    }
  }
}
